mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Method) System.Runtime.InteropServices.ComVisible(true)

The can only be set on the main method for an executable application and is ignored on all other methods.

The attribute is specified with a enumeration value, which tells the loader what type of application to optimize for: SingleDomain, MultiDomain, or MultiDomainHost.

This attribute is only a hint to the loader and does not affect program behavior.

If custom code access security policy is set for the , by using the property, and the is created using the flag, the effect is the same as specifying the flag; that is, only assemblies in the GAC are shared. When this occurs, the loader does not throw an exception and the application does not experience the performance gains associated with the flag.

Used to set the default loader optimization policy for the main method of an executable application.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class to the specified value.

  A value equivalent to a constant.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class to the specified value.

  A constant.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.LoaderOptimization To be added: an object of type 'LoaderOptimization' To be added

  Gets the current value for this instance.